function [prob, hist_val_norm] = int_hist(range, hist_val, hist_bin)
%INT_HIST Normalize histogram and compute integral outside the given range
%   Detailed explanation goes here

% Normalize
hist_step = (hist_bin(2) - hist_bin(1));
hist_val_norm = hist_val / sum(hist_val) / hist_step;

% Left integral
if range.min < hist_bin(1)
    left_int = 0;
else
    [~, left_index] = min(abs(hist_bin - range.min));
    left_int = sum(hist_val_norm(1:left_index)*hist_step);
end

% Right integral
if range.max > hist_bin(end)
    right_int = 0;
else
    [~, right_index] = min(abs(hist_bin - range.max));
    right_int = sum(hist_val_norm(right_index:end)*hist_step);
end

% Sum
prob = left_int + right_int;

end

